package com.ningdatech.pmapi.projectdeclared.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目草稿箱
 * </p>
 *
 * @author zpf
 * @since 2023-02-06
 */
@TableName("nd_project_draft")
@ApiModel(value = "NdProjectDraft对象", description = "")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProjectDraft implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("应用ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("所属地区编号")
    private String areaCode;

    @ApiModelProperty("所属地区名称")
    private String area;

    @ApiModelProperty("项目阶段")
    private Integer stage;

    @ApiModelProperty("项目状态")
    private Integer status;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("是否临时增补 0:否 1:是")
    private Integer isTemporaryAugment;

    @ApiModelProperty("项目负责人")
    private String responsibleMan;

    @ApiModelProperty("负责人手机号码")
    private String responsibleManMobile;

    @ApiModelProperty("项目联系人")
    private String contactName;

    @ApiModelProperty("项目联系人手机号码")
    private String contactPhone;

    @ApiModelProperty("建设单位名称")
    private String buildUnitName;

    @ApiModelProperty("建设单位统一社会信用代码")
    private String buildUnitCode;

    @ApiModelProperty("建设单位浙政钉ID")
    private String buildUnitZheJiangGovernmentDingId;

    @ApiModelProperty("项目类型 1:建设 2:运维")
    private Integer projectType;

    @ApiModelProperty("是否首次新建 0:否 1:是")
    private Integer isFirst;

    @ApiModelProperty("项目预算年度")
    private Integer projectYear;

    @ApiModelProperty("项目建设起始时间")
    private String beginTime;

    @ApiModelProperty("项目建设终止时间")
    private String endTime;

    @ApiModelProperty("四大体系 1:业务应用 2:应用支撑 3:数据资源 4:基础设施")
    private Integer fourSystems;

    @ApiModelProperty("是否数字化改革项目 0:否 1:是")
    private Integer isDigitalReform;

    @ApiModelProperty("综合业务领域")
    private String bizDomain;

    @ApiModelProperty("建设层级 1:国家级 2:省级 3:省本级 4:市级 5:市本级 6:区县 7乡镇")
    private Integer buildLevel;

    @ApiModelProperty("立项依据")
    private String buildBasis;

    @ApiModelProperty("发改编码")
    private String developCode;

    @ApiModelProperty("财政编码")
    private String financialCode;

    @ApiModelProperty("是否上云 0:否 1:是")
    private Integer isCloud;

    private String cloudType;

    @ApiModelProperty("等保级别 1:一级 2:二级 3:三级 4:四级 5:五级")
    private Integer protectionLevel;

    @ApiModelProperty("是否密评 0:否 1:是")
    private Integer isSecretComments;

    @ApiModelProperty("项目简介")
    private String projectIntroduction;

    @ApiModelProperty("资金申报情况-申报金额(万元)")
    private BigDecimal declareAmount;

    @ApiModelProperty("资金申报情况-自有金额(万元)")
    private BigDecimal declareHaveAmount;

    @ApiModelProperty("资金申报情况-政府投资-本级财政资金(万元)")
    private BigDecimal declareGovernmentOwnFinanceAmount;

    @ApiModelProperty("资金申报情况-政府投资-上级补助资金(万元)")
    private BigDecimal declareGovernmentSuperiorFinanceAmount;

    @ApiModelProperty("银行贷款(万元)")
    private BigDecimal declareBankLendingAmount;

    @ApiModelProperty("其它资金(万元)")
    private BigDecimal declareOtherAmount;

    @ApiModelProperty("资金分配情况-软件开发(万元)")
    private BigDecimal softwareDevelopmentAmount;

    @ApiModelProperty("资金分配情况-云资源、硬件购置(万元)")
    private BigDecimal cloudHardwarePurchaseAmount;

    @ApiModelProperty("资金分配情况-第三方服务(万元)")
    private BigDecimal thirdPartyAmount;

    @ApiModelProperty("年度支付计划-年度支付计划(万元)")
    private BigDecimal annualPlanAmount;

    @ApiModelProperty("年度支付计划-自有金额(万元)")
    private BigDecimal annualPlanHaveAmount;

    @ApiModelProperty("年度支付计划-政府投资-本级财政资金(万元)")
    private BigDecimal annualPlanGovernmentOwnFinanceAmount;

    @ApiModelProperty("年度支付计划-政府投资-上级补助资金(万元)")
    private BigDecimal annualPlanGovernmentSuperiorFinanceAmount;

    @ApiModelProperty("年度支付计划-银行贷款(万元)")
    private BigDecimal annualPlanBankLendingAmount;

    @ApiModelProperty("年度支付计划-其它资金(万元)")
    private BigDecimal annualPlanOtherAmount;

    @ApiModelProperty("立项批复资金(万元)")
    private BigDecimal approvalAmount;

    private LocalDateTime annualPlanAddTime;

    @ApiModelProperty("核心业务-核心业务模块")
    private String coreBusiness;

    @ApiModelProperty("安全投入-投入项")
    private String safetyInputTitle;

    @ApiModelProperty("安全投入-内容描述")
    private String safetyInputDescribe;

    @ApiModelProperty("安全投入-金额(万元)")
    private BigDecimal safetyInputAmount;

    @ApiModelProperty("附件-初步方案")
    private String preliminaryPlanFile;

    @ApiModelProperty("附件-佐证材料")
    private String supportingMaterialsFile;

    @ApiModelProperty("附件-项目总投资测算明细")
    private String calculationTotalInvestmentFile;

    @ApiModelProperty("附件-申报单位主要职责（单位三定方案）")
    private String mainResponsibilitiesApplicantFile;

    @ApiModelProperty("备注")
    private String projectRemarks;

    @ApiModelProperty("是否包含应用 0:否 1:是")
    private Integer includeApplication;

    @ApiModelProperty("工程形象进度-第一季度")
    private String engineeringSpeedOne;

    @ApiModelProperty("工程形象进度-第二季度")
    private String engineeringSpeedTwo;

    @ApiModelProperty("工程形象进度-第三季度")
    private String engineeringSpeedThree;

    @ApiModelProperty("工程形象进度-第四季度")
    private String engineeringSpeedFour;

    @ApiModelProperty("核心业务-是否开启核心业务模块 false:关闭 true:开启")
    private Boolean isOpenCoreBusiness;

    @ApiModelProperty("安全投入-是否开启安全投入模块 false:关闭 true:开启")
    private Boolean isOpenSafetyInput;

    @ApiModelProperty("工程形象进度-是否开启 false:关闭 true:开启")
    private Boolean isEngineeringSpeed;

    @ApiModelProperty("附件-是否开启 false:关闭 true:开启")
    private Boolean isAccessories;

    @ApiModelProperty("备注-是否开启 false:关闭 true:开启")
    private Boolean isRemarks;

    @ApiModelProperty("年度支付计划-是否开启 false:关闭 true:开启")
    private Boolean isAnnualPlanAmount;

    @ApiModelProperty("一地创新全省共享项目-是否开启 false:关闭 true:开启")
    private Boolean isInnovateWholeProvinceShare;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    @ApiModelProperty("流程实例编号")
    private String instCode;

    @ApiModelProperty("安全投入-模块信息")
    private String safetyInputModular;

    @ApiModelProperty("项目申报pdf")
    private String projectPdf;

    @ApiModelProperty("立项申报pdf")
    private String declarationPdf;

    @ApiModelProperty("建设周期（月）")
    private String buildCycle;

    @ApiModelProperty("建设方案文件")
    private String constructionPlanFile;

    @ApiModelProperty("立项批复文件")
    private String approvedFile;

    @ApiModelProperty("批复金额")
    private BigDecimal approvedTotalInvestmentIncrease;

    @ApiModelProperty("上级主管部门")
    private String higherSuperUnit;

    @ApiModelProperty("上级主管部门Code")
    private String higherSuperUnitCode;

    @ApiModelProperty("主管部门名称")
    private String superUnit;

    @ApiModelProperty("主管部门Code")
    private String superUnitCode;

    @ApiModelProperty("前端所需验证字段")
    private Integer allApplicationsDone;

    @ApiModelProperty("项目一级状态 10000 20000 30000")
    private Integer projectStatusFirst;

    @ApiModelProperty("项目二级状态")
    private Integer projectStatusSecond;

    @ApiModelProperty("应用名称")
    private String applicationName;

    @ApiModelProperty("关联IRS现有应用")
    private String relatedExistsApplication;

    @ApiModelProperty("关联IRS现有应用-IRS应用编码")
    private String relatedExistsApplicationCode;

    @ApiModelProperty("应用类型")
    private String applicationType;

    @ApiModelProperty("是否统建应用 0:否 1:是")
    private Integer isUniteBuild;

    @ApiModelProperty("统建类型 1:全省统建 2:全市统建")
    private Integer unionBuildKind;

    @ApiModelProperty("是否数改系统 0:否 1:是")
    private Integer isDigitalModification;

    @ApiModelProperty("数改系统")
    private String digitalModification;

    @ApiModelProperty("发布端")
    private String publishSide;

    @ApiModelProperty("是否一本账场景应用名称 0:否 1:是")
    private Integer isAccountAppName;

    @ApiModelProperty("一本账应用名称")
    private String accountAppName;

    @ApiModelProperty("领域大脑一本账")
    private String domainBrainAccount;

    @ApiModelProperty("是否业务协同 0:否 1:是")
    private Integer isBizCooperate;

    @ApiModelProperty("业务协同描述")
    private String bizCooperateInfo;

    @ApiModelProperty("使用范围")
    private String usesRangeRemark;

    @ApiModelProperty("应用简介")
    private String applicationSummary;

    @ApiModelProperty("应用备注")
    private String applicationRemark;

    @ApiModelProperty("应用总投资测算明细-文件")
    private String applicationEstimateFile;

    @ApiModelProperty("等保级别 1:一级 2:二级 3:三级 4:四级 5:五级")
    private Integer secrecyGrade;

    @ApiModelProperty("密码测评级别 1:一级 2:二级 3:三级 4:四级 5:五级")
    private Integer passwordGrade;

    @ApiModelProperty("是否符合国家信息技术应用创新相关规范 0:否 1:是")
    private Integer nationalItSpec;

    @ApiModelProperty("是否使用政务云资源 0否 1是")
    private Integer useGovCloud;

    @ApiModelProperty("云资源类型")
    private String cloudsType;

    @ApiModelProperty("云资源基础规格")
    private String cloudsFoundationSpecifications;

    @ApiModelProperty("云资源台数")
    private Integer cloudsNumber;

    @ApiModelProperty("云资源用户描述")
    private String cloudsDescription;

    @ApiModelProperty("网络环境 1:政务内网 2:政务外网 3:互联网 4:业务专网 5:单机")
    private Integer netEnv;

    @ApiModelProperty("是否使用公共数据 0否 1是")
    private Integer useCommonData;

    @ApiModelProperty("数据名称")
    private String dataName;

    @ApiModelProperty("是否使用公共组件 0否 1是")
    private Integer useCommonComponent;

    @ApiModelProperty("使用的公共组件名称")
    private String commonComponents;

    @ApiModelProperty("是否产生公共组件 0否 1是")
    private Integer produceCommonComponent;

    @ApiModelProperty("预计产生组件名称")
    private String produceCommonComponents;

    @ApiModelProperty("试点任务名称")
    private String pilotTasksName;

    @ApiModelProperty("试点任务编号")
    private String pilotTasksCode;

    @ApiModelProperty("所属重大应用名称")
    private String importantTaskName;

    @ApiModelProperty("所属重大应用编号")
    private String importantTaskCode;

    @ApiModelProperty("所属子场景应用名称")
    private String subSceneApplicationName;

    @ApiModelProperty("试点文件")
    private String experimentsFile;

    @ApiModelProperty("项目应用")
    private String projectApplicationList;

    @ApiModelProperty("新增form内容")
    private String dynamicForm;

    private Long createBy;
    private Long updateBy;
}
